Disk ARchive: libdar::statistics Class Reference

| Disk ARchive 2.8.1 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
libdar::statistics Class Reference
Private

class used by libdar::archive class to give a summary of treated file during and after an operation More...

`#include <statistics.hpp>`

## Public Member Functions
| statistics (bool lock=true)
| constructor
| statistics (const statistics &ref)
| copy constructor
| statistics (statistics &&ref)
| move constructor
statistics & | operator= (const statistics &ref)
| copy assignement
statistics & | operator= (statistics &&ref) noexcept
| move assignement
| ~statistics ()
| destructor
void | clear ()
| reset counters to zero
infinint | total () const
| total number of file treated
void | incr_treated ()
| increment by one the treated counter
void | incr_hard_links ()
| increment by one the hard_links counter
void | incr_skipped ()
| increment by one the skipped counter
void | incr_inode_only ()
| increment by one the inode_only counter
void | incr_ignored ()
| increment by one the ignored counter
void | incr_tooold ()
| increment by one the tooold counter
void | incr_errored ()
| increment by one the errored counter
void | incr_deleted ()
| increment by one the deleted counter
void | incr_ea_treated ()
| increment by one the ea_treated counter
void | incr_fsa_treated ()
| increment by one the fsa treated counter
void | add_to_ignored (const infinint &val)
| increment the ignored counter by a given value
void | add_to_errored (const infinint &val)
| increment the errored counter by a given value
void | add_to_deleted (const infinint &val)
| increment the deleted counter by a given value
void | add_to_byte_amount (const infinint &val)
| increment the byte amount counter by a given value
void | sub_from_treated (const infinint &val)
| substract value from the treated counter
void | sub_from_ea_treated (const infinint &val)
| substract value to the ea_treated counter
void | sub_from_hard_links (const infinint &val)
| substract value to the hard_links counter
void | sub_from_fsa_treated (const infinint &val)
| substract value to the fsa_treated counter
infinint | get_treated () const
| returns the current value of the treated counter
infinint | get_hard_links () const
| returns the current value of the hard_links counter
infinint | get_skipped () const
| returns the current value of the skipped counter
infinint | get_inode_only () const
| returns the current value of the inode_only counter
infinint | get_ignored () const
| returns the current value of the ignored counter
infinint | get_tooold () const
| returns the current value of the tooold counter
infinint | get_errored () const
| returns the current value of the errored counter
infinint | get_deleted () const
| returns the current value of the deleted counter
infinint | get_ea_treated () const
| returns the current value of the ea_treated counter
infinint | get_byte_amount () const
| returns the current value of the byte_amount counter
infinint | get_fsa_treated () const
| returns the current value of the fsa_treated counter
std::string | get_treated_str () const
| returns the current value of the treated counter as a std::string
std::string | get_hard_links_str () const
| returns the current value of the hard_links counter as a std::string;
std::string | get_skipped_str () const
| returns the current value of the skipped counter as a std::string
std::string | get_inode_only_str () const
| returns the current value of the inode_only counter as a std::string
std::string | get_ignored_str () const
| returns the current value of the ignored counter as a std::string
std::string | get_tooold_str () const
| returns the current value of the tooold counter as a std::string
std::string | get_errored_str () const
| returns the current value of the errored counter as a std::string
std::string | get_deleted_str () const
| returns the current value of the deleted counter as a std::string
std::string | get_ea_treated_str () const
| returns the current value of the ea_treated counter as a std::string
std::string | get_byte_amount_str () const
| returns the current value of the byte_amount counter as a std::string
std::string | get_fsa_treated_str () const
| returns the current value of the fsa_treated counter as a std::string
void | decr_treated ()
| decrement by one the treated counter
void | decr_hard_links ()
| decrement by one the hard_links counter
void | decr_skipped ()
| decrement by one the skipped counter
void | decr_inode_only ()
| decrement by one the inode_only counter
void | decr_ignored ()
| decrement by one the ignored counter
void | decr_tooold ()
| decrement by one the toold counter
void | decr_errored ()
| decrement by one the errored counter
void | decr_deleted ()
| decrement by one the deleted counter
void | decr_ea_treated ()
| decrement by one the ea_treated counter
void | decr_fsa_treated ()
| decrement by one the fsa_treated counter
void | set_byte_amount (const infinint &val)
| set to the given value the byte_amount counter
void | dump (user_interaction &dialog) const
| debuging method

## Private Member Functions
void | increment_locked (infinint *var)
void | increment_unlocked (infinint *var)
void | add_to_locked (infinint *var, const infinint &val)
void | add_to_unlocked (infinint *var, const infinint &val)
infinint | returned_locked (const infinint *var) const
infinint | returned_unlocked (const infinint *var) const
void | decrement_locked (infinint *var)
void | decrement_unlocked (infinint *var)
void | set_to_locked (infinint *var, const infinint &val)
void | set_to_unlocked (infinint *var, const infinint &val)
void | sub_from_unlocked (infinint *var, const infinint &val)
void | sub_from_locked (infinint *var, const infinint &val)
void | init (bool lock)
| set locking & mutex
void | detruit ()
| release and free the mutex
void | copy_from (const statistics &ref)
| reset mutex and copy data from the object of reference
void | move_from (statistics &&ref) noexcept
| used by to implement move related operations

## Private Attributes
bool | locking
| whether we use locking or not
infinint | treated
| number of inode treated (saved, restored, etc.) [all operations]
infinint | hard_links
| number of hard linked inodes treated (including those ignored by filters)
infinint | skipped
| files not changed since last backup / file not restored because not saved in backup
infinint | inode_only
| files which operation only affected inode metadata not its data
infinint | ignored
| ignored files due to filters
infinint | tooold
| ignored files because less recent than the filesystem entry [restoration] / modfied during backup
infinint | errored
| files that could not be saved / files that could not be restored (filesystem access right)
infinint | deleted
| deleted file seen / number of files deleted during the operation [restoration]
infinint | ea_treated
| number of EA saved / number of EA restored
infinint | byte_amount
| auxilliary counter, holds the wasted bytes due to repeat on change feature for example.
infinint | fsa_treated
| number of FSA saved / number of FSA restored
void(statistics::* | increment )(infinint *var)
| generic method for incrementing a variable
void(statistics::* | add_to )(infinint *var, const infinint &val)
| generic method for add a value to a variable
infinint(statistics::* | returned )(const infinint *var) const
| generic method for obtaining the value of a variable
void(statistics::* | decrement )(infinint *var)
| generic method for decrementing a variable
void(statistics::* | set_to )(infinint *var, const infinint &val)
| generic method for setting a variable to a given value
void(statistics::* | sub_from )(infinint *var, const infinint &val)
| generic method for substracting to a variable

## Detailed Description

class used by libdar::archive class to give a summary of treated file during and after an operation

the different fields are used for backup, restoration and other operation their meaning changes a bit depending on the operation. Some operation may not use all fields. To have a detailed view of what fields get used and what are their meaning see the archive class constructor and methods documentation

Definition at line 69 of file statistics.hpp.

## Constructor & Destructor Documentation

## ◆ statistics() [1/3]

libdar::statistics::statistics | ( | bool | lock = true | ) |
| inline

constructor

Parameters

  [in] | lock | whether to use mutex to manipulate (read or write) variables of that object

Note
  using a statistics object built without lock (false given as argument to the constructor) may lead to application crash if several threads are accessing at the same object at the same time when at least one thread is modifying this object, unless you really know what you are doing, it is better to always use the default value for this constructor or to explicitely give "true" as argument.

Definition at line 79 of file statistics.hpp.

References clear(), and init().

Referenced by copy_from(), move_from(), operator=(), operator=(), statistics(), and statistics().

## ◆ statistics() [2/3]

libdar::statistics::statistics | ( | const statistics & | ref | ) |
| inline

copy constructor

Definition at line 82 of file statistics.hpp.

References copy_from(), and statistics().

## ◆ statistics() [3/3]

libdar::statistics::statistics | ( | statistics && | ref | ) |
| inline

move constructor

Definition at line 85 of file statistics.hpp.

References init(), move_from(), and statistics().

## ◆ ~statistics()

libdar::statistics::~statistics | ( |  | ) |
| inline

destructor

Definition at line 94 of file statistics.hpp.

References detruit().

## Member Function Documentation

## ◆ add_to_byte_amount()

void libdar::statistics::add_to_byte_amount | ( | const infinint & | val | ) |
| inline

increment the byte amount counter by a given value

Definition at line 142 of file statistics.hpp.

References add_to, and byte_amount.

## ◆ add_to_deleted()

void libdar::statistics::add_to_deleted | ( | const infinint & | val | ) |
| inline

increment the deleted counter by a given value

Definition at line 139 of file statistics.hpp.

References add_to, and deleted.

## ◆ add_to_errored()

void libdar::statistics::add_to_errored | ( | const infinint & | val | ) |
| inline

increment the errored counter by a given value

Definition at line 136 of file statistics.hpp.

References add_to, and errored.

## ◆ add_to_ignored()

void libdar::statistics::add_to_ignored | ( | const infinint & | val | ) |
| inline

increment the ignored counter by a given value

Definition at line 133 of file statistics.hpp.

References add_to, and ignored.

## ◆ add_to_locked()

void libdar::statistics::add_to_locked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 316 of file statistics.hpp.

## ◆ add_to_unlocked()

void libdar::statistics::add_to_unlocked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 323 of file statistics.hpp.

## ◆ decr_deleted()

void libdar::statistics::decr_deleted | ( |  | ) |
| inline

decrement by one the deleted counter

Definition at line 251 of file statistics.hpp.

References decrement, and deleted.

## ◆ decr_ea_treated()

void libdar::statistics::decr_ea_treated | ( |  | ) |
| inline

decrement by one the ea_treated counter

Definition at line 254 of file statistics.hpp.

References decrement, and ea_treated.

## ◆ decr_errored()

void libdar::statistics::decr_errored | ( |  | ) |
| inline

decrement by one the errored counter

Definition at line 248 of file statistics.hpp.

References decrement, and errored.

## ◆ decr_fsa_treated()

void libdar::statistics::decr_fsa_treated | ( |  | ) |
| inline

decrement by one the fsa_treated counter

Definition at line 257 of file statistics.hpp.

References decrement, and fsa_treated.

## ◆ decr_hard_links()

void libdar::statistics::decr_hard_links | ( |  | ) |
| inline

decrement by one the hard_links counter

Definition at line 233 of file statistics.hpp.

References decrement, and hard_links.

## ◆ decr_ignored()

void libdar::statistics::decr_ignored | ( |  | ) |
| inline

decrement by one the ignored counter

Definition at line 242 of file statistics.hpp.

References decrement, and ignored.

## ◆ decr_inode_only()

void libdar::statistics::decr_inode_only | ( |  | ) |
| inline

decrement by one the inode_only counter

Definition at line 239 of file statistics.hpp.

References decrement, and inode_only.

## ◆ decr_skipped()

void libdar::statistics::decr_skipped | ( |  | ) |
| inline

decrement by one the skipped counter

Definition at line 236 of file statistics.hpp.

References decrement, and skipped.

## ◆ decr_tooold()

void libdar::statistics::decr_tooold | ( |  | ) |
| inline

decrement by one the toold counter

Definition at line 245 of file statistics.hpp.

References decrement, and tooold.

## ◆ decr_treated()

void libdar::statistics::decr_treated | ( |  | ) |
| inline

decrement by one the treated counter

Definition at line 230 of file statistics.hpp.

References decrement, and treated.

## ◆ decrement_locked()

void libdar::statistics::decrement_locked | ( | infinint * | var | ) |
| inlineprivate

Definition at line 344 of file statistics.hpp.

## ◆ decrement_unlocked()

void libdar::statistics::decrement_unlocked | ( | infinint * | var | ) |
| inlineprivate

Definition at line 351 of file statistics.hpp.

## ◆ get_byte_amount()

infinint libdar::statistics::get_byte_amount | ( |  | ) | const
| inline

returns the current value of the byte_amount counter

Definition at line 187 of file statistics.hpp.

References byte_amount, and returned.

Referenced by get_byte_amount_str().

## ◆ get_byte_amount_str()

std::string libdar::statistics::get_byte_amount_str | ( |  | ) | const
| inline

returns the current value of the byte_amount counter as a std::string

Definition at line 223 of file statistics.hpp.

References get_byte_amount(), and libdar::deci::human().

## ◆ get_deleted()

infinint libdar::statistics::get_deleted | ( |  | ) | const
| inline

returns the current value of the deleted counter

Definition at line 181 of file statistics.hpp.

References deleted, and returned.

Referenced by get_deleted_str().

## ◆ get_deleted_str()

std::string libdar::statistics::get_deleted_str | ( |  | ) | const
| inline

returns the current value of the deleted counter as a std::string

Definition at line 217 of file statistics.hpp.

References get_deleted(), and libdar::deci::human().

## ◆ get_ea_treated()

infinint libdar::statistics::get_ea_treated | ( |  | ) | const
| inline

returns the current value of the ea_treated counter

Definition at line 184 of file statistics.hpp.

References ea_treated, and returned.

Referenced by get_ea_treated_str().

## ◆ get_ea_treated_str()

std::string libdar::statistics::get_ea_treated_str | ( |  | ) | const
| inline

returns the current value of the ea_treated counter as a std::string

Definition at line 220 of file statistics.hpp.

References get_ea_treated(), and libdar::deci::human().

## ◆ get_errored()

infinint libdar::statistics::get_errored | ( |  | ) | const
| inline

returns the current value of the errored counter

Definition at line 178 of file statistics.hpp.

References errored, and returned.

Referenced by get_errored_str().

## ◆ get_errored_str()

std::string libdar::statistics::get_errored_str | ( |  | ) | const
| inline

returns the current value of the errored counter as a std::string

Definition at line 214 of file statistics.hpp.

References get_errored(), and libdar::deci::human().

## ◆ get_fsa_treated()

infinint libdar::statistics::get_fsa_treated | ( |  | ) | const
| inline

returns the current value of the fsa_treated counter

Definition at line 190 of file statistics.hpp.

References fsa_treated, and returned.

Referenced by get_fsa_treated_str().

## ◆ get_fsa_treated_str()

std::string libdar::statistics::get_fsa_treated_str | ( |  | ) | const
| inline

returns the current value of the fsa_treated counter as a std::string

Definition at line 226 of file statistics.hpp.

References get_fsa_treated(), and libdar::deci::human().

## ◆ get_hard_links()

infinint libdar::statistics::get_hard_links | ( |  | ) | const
| inline

returns the current value of the hard_links counter

Definition at line 163 of file statistics.hpp.

References hard_links, and returned.

Referenced by get_hard_links_str().

## ◆ get_hard_links_str()

std::string libdar::statistics::get_hard_links_str | ( |  | ) | const
| inline

returns the current value of the hard_links counter as a std::string;

Definition at line 199 of file statistics.hpp.

References get_hard_links(), and libdar::deci::human().

## ◆ get_ignored()

infinint libdar::statistics::get_ignored | ( |  | ) | const
| inline

returns the current value of the ignored counter

Definition at line 172 of file statistics.hpp.

References ignored, and returned.

Referenced by get_ignored_str().

## ◆ get_ignored_str()

std::string libdar::statistics::get_ignored_str | ( |  | ) | const
| inline

returns the current value of the ignored counter as a std::string

Definition at line 208 of file statistics.hpp.

References get_ignored(), and libdar::deci::human().

## ◆ get_inode_only()

infinint libdar::statistics::get_inode_only | ( |  | ) | const
| inline

returns the current value of the inode_only counter

Definition at line 169 of file statistics.hpp.

References inode_only, and returned.

Referenced by get_inode_only_str().

## ◆ get_inode_only_str()

std::string libdar::statistics::get_inode_only_str | ( |  | ) | const
| inline

returns the current value of the inode_only counter as a std::string

Definition at line 205 of file statistics.hpp.

References get_inode_only(), and libdar::deci::human().

## ◆ get_skipped()

infinint libdar::statistics::get_skipped | ( |  | ) | const
| inline

returns the current value of the skipped counter

Definition at line 166 of file statistics.hpp.

References returned, and skipped.

Referenced by get_skipped_str().

## ◆ get_skipped_str()

std::string libdar::statistics::get_skipped_str | ( |  | ) | const
| inline

returns the current value of the skipped counter as a std::string

Definition at line 202 of file statistics.hpp.

References get_skipped(), and libdar::deci::human().

## ◆ get_tooold()

infinint libdar::statistics::get_tooold | ( |  | ) | const
| inline

returns the current value of the tooold counter

Definition at line 175 of file statistics.hpp.

References returned, and tooold.

Referenced by get_tooold_str().

## ◆ get_tooold_str()

std::string libdar::statistics::get_tooold_str | ( |  | ) | const
| inline

returns the current value of the tooold counter as a std::string

Definition at line 211 of file statistics.hpp.

References get_tooold(), and libdar::deci::human().

## ◆ get_treated()

infinint libdar::statistics::get_treated | ( |  | ) | const
| inline

returns the current value of the treated counter

Definition at line 160 of file statistics.hpp.

References returned, and treated.

Referenced by get_treated_str().

## ◆ get_treated_str()

std::string libdar::statistics::get_treated_str | ( |  | ) | const
| inline

returns the current value of the treated counter as a std::string

Definition at line 196 of file statistics.hpp.

References get_treated(), and libdar::deci::human().

## ◆ incr_deleted()

void libdar::statistics::incr_deleted | ( |  | ) |
| inline

increment by one the deleted counter

Definition at line 124 of file statistics.hpp.

References deleted, and increment.

## ◆ incr_ea_treated()

void libdar::statistics::incr_ea_treated | ( |  | ) |
| inline

increment by one the ea_treated counter

Definition at line 127 of file statistics.hpp.

References ea_treated, and increment.

## ◆ incr_errored()

void libdar::statistics::incr_errored | ( |  | ) |
| inline

increment by one the errored counter

Definition at line 121 of file statistics.hpp.

References errored, and increment.

## ◆ incr_fsa_treated()

void libdar::statistics::incr_fsa_treated | ( |  | ) |
| inline

increment by one the fsa treated counter

Definition at line 130 of file statistics.hpp.

References fsa_treated, and increment.

## ◆ incr_hard_links()

void libdar::statistics::incr_hard_links | ( |  | ) |
| inline

increment by one the hard_links counter

Definition at line 106 of file statistics.hpp.

References hard_links, and increment.

## ◆ incr_ignored()

void libdar::statistics::incr_ignored | ( |  | ) |
| inline

increment by one the ignored counter

Definition at line 115 of file statistics.hpp.

References ignored, and increment.

## ◆ incr_inode_only()

void libdar::statistics::incr_inode_only | ( |  | ) |
| inline

increment by one the inode_only counter

Definition at line 112 of file statistics.hpp.

References increment, and inode_only.

## ◆ incr_skipped()

void libdar::statistics::incr_skipped | ( |  | ) |
| inline

increment by one the skipped counter

Definition at line 109 of file statistics.hpp.

References increment, and skipped.

## ◆ incr_tooold()

void libdar::statistics::incr_tooold | ( |  | ) |
| inline

increment by one the tooold counter

Definition at line 118 of file statistics.hpp.

References increment, and tooold.

## ◆ incr_treated()

void libdar::statistics::incr_treated | ( |  | ) |
| inline

increment by one the treated counter

Definition at line 103 of file statistics.hpp.

References increment, and treated.

## ◆ increment_locked()

void libdar::statistics::increment_locked | ( | infinint * | var | ) |
| inlineprivate

Definition at line 304 of file statistics.hpp.

## ◆ increment_unlocked()

void libdar::statistics::increment_unlocked | ( | infinint * | var | ) |
| inlineprivate

Definition at line 311 of file statistics.hpp.

## ◆ operator=() [1/2]

statistics & libdar::statistics::operator= | ( | const statistics & | ref | ) |
| inline

copy assignement

Definition at line 88 of file statistics.hpp.

References copy_from(), detruit(), and statistics().

## ◆ operator=() [2/2]

statistics & libdar::statistics::operator= | ( | statistics && | ref | ) |
| inlinenoexcept

move assignement

Definition at line 91 of file statistics.hpp.

References move_from(), and statistics().

## ◆ returned_locked()

infinint libdar::statistics::returned_locked | ( | const infinint * | var | ) | const
| inlineprivate

Definition at line 328 of file statistics.hpp.

## ◆ returned_unlocked()

infinint libdar::statistics::returned_unlocked | ( | const infinint * | var | ) | const
| inlineprivate

Definition at line 339 of file statistics.hpp.

## ◆ set_byte_amount()

void libdar::statistics::set_byte_amount | ( | const infinint & | val | ) |
| inline

set to the given value the byte_amount counter

Definition at line 260 of file statistics.hpp.

References byte_amount, and set_to.

## ◆ set_to_locked()

void libdar::statistics::set_to_locked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 356 of file statistics.hpp.

## ◆ set_to_unlocked()

void libdar::statistics::set_to_unlocked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 363 of file statistics.hpp.

## ◆ sub_from_ea_treated()

void libdar::statistics::sub_from_ea_treated | ( | const infinint & | val | ) |
| inline

substract value to the ea_treated counter

Definition at line 148 of file statistics.hpp.

References ea_treated, and sub_from.

## ◆ sub_from_fsa_treated()

void libdar::statistics::sub_from_fsa_treated | ( | const infinint & | val | ) |
| inline

substract value to the fsa_treated counter

Definition at line 154 of file statistics.hpp.

References fsa_treated, and sub_from.

## ◆ sub_from_hard_links()

void libdar::statistics::sub_from_hard_links | ( | const infinint & | val | ) |
| inline

substract value to the hard_links counter

Definition at line 151 of file statistics.hpp.

References hard_links, and sub_from.

## ◆ sub_from_locked()

void libdar::statistics::sub_from_locked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 373 of file statistics.hpp.

## ◆ sub_from_treated()

void libdar::statistics::sub_from_treated | ( | const infinint & | val | ) |
| inline

substract value from the treated counter

Definition at line 145 of file statistics.hpp.

References sub_from, and treated.

## ◆ sub_from_unlocked()

void libdar::statistics::sub_from_unlocked | ( | infinint * | var,
|  | const infinint & | val )
| inlineprivate

Definition at line 368 of file statistics.hpp.

## Member Data Documentation

## ◆ add_to

void(statistics::* libdar::statistics::add_to) (infinint *var, const infinint &val)
| private

generic method for add a value to a variable

Definition at line 298 of file statistics.hpp.

Referenced by add_to_byte_amount(), add_to_deleted(), add_to_errored(), and add_to_ignored().

## ◆ byte_amount

infinint libdar::statistics::byte_amount
| private

auxilliary counter, holds the wasted bytes due to repeat on change feature for example.

Definition at line 292 of file statistics.hpp.

Referenced by add_to_byte_amount(), get_byte_amount(), and set_byte_amount().

## ◆ decrement

void(statistics::* libdar::statistics::decrement) (infinint *var)
| private

generic method for decrementing a variable

Definition at line 300 of file statistics.hpp.

Referenced by decr_deleted(), decr_ea_treated(), decr_errored(), decr_fsa_treated(), decr_hard_links(), decr_ignored(), decr_inode_only(), decr_skipped(), decr_tooold(), and decr_treated().

## ◆ deleted

infinint libdar::statistics::deleted
| private

deleted file seen / number of files deleted during the operation [restoration]

Definition at line 288 of file statistics.hpp.

Referenced by add_to_deleted(), decr_deleted(), get_deleted(), and incr_deleted().

## ◆ ea_treated

infinint libdar::statistics::ea_treated
| private

number of EA saved / number of EA restored

Definition at line 290 of file statistics.hpp.

Referenced by decr_ea_treated(), get_ea_treated(), incr_ea_treated(), and sub_from_ea_treated().

## ◆ errored

infinint libdar::statistics::errored
| private

files that could not be saved / files that could not be restored (filesystem access right)

Definition at line 286 of file statistics.hpp.

Referenced by add_to_errored(), decr_errored(), get_errored(), and incr_errored().

## ◆ fsa_treated

infinint libdar::statistics::fsa_treated
| private

number of FSA saved / number of FSA restored

Definition at line 294 of file statistics.hpp.

Referenced by decr_fsa_treated(), get_fsa_treated(), incr_fsa_treated(), and sub_from_fsa_treated().

## ◆ hard_links

infinint libdar::statistics::hard_links
| private

number of hard linked inodes treated (including those ignored by filters)

Definition at line 276 of file statistics.hpp.

Referenced by decr_hard_links(), get_hard_links(), incr_hard_links(), and sub_from_hard_links().

## ◆ ignored

infinint libdar::statistics::ignored
| private

ignored files due to filters

Definition at line 282 of file statistics.hpp.

Referenced by add_to_ignored(), decr_ignored(), get_ignored(), and incr_ignored().

## ◆ increment

void(statistics::* libdar::statistics::increment) (infinint *var)
| private

generic method for incrementing a variable

Definition at line 297 of file statistics.hpp.

Referenced by incr_deleted(), incr_ea_treated(), incr_errored(), incr_fsa_treated(), incr_hard_links(), incr_ignored(), incr_inode_only(), incr_skipped(), incr_tooold(), and incr_treated().

## ◆ inode_only

infinint libdar::statistics::inode_only
| private

files which operation only affected inode metadata not its data

Definition at line 280 of file statistics.hpp.

Referenced by decr_inode_only(), get_inode_only(), and incr_inode_only().

## ◆ locking

bool libdar::statistics::locking
| private

whether we use locking or not

Definition at line 271 of file statistics.hpp.

## ◆ returned

infinint(statistics::* libdar::statistics::returned) (const infinint *var) const
| private

generic method for obtaining the value of a variable

Definition at line 299 of file statistics.hpp.

Referenced by get_byte_amount(), get_deleted(), get_ea_treated(), get_errored(), get_fsa_treated(), get_hard_links(), get_ignored(), get_inode_only(), get_skipped(), get_tooold(), and get_treated().

## ◆ set_to

void(statistics::* libdar::statistics::set_to) (infinint *var, const infinint &val)
| private

generic method for setting a variable to a given value

Definition at line 301 of file statistics.hpp.

Referenced by set_byte_amount().

## ◆ skipped

infinint libdar::statistics::skipped
| private

files not changed since last backup / file not restored because not saved in backup

Definition at line 278 of file statistics.hpp.

Referenced by decr_skipped(), get_skipped(), and incr_skipped().

## ◆ sub_from

void(statistics::* libdar::statistics::sub_from) (infinint *var, const infinint &val)
| private

generic method for substracting to a variable

Definition at line 302 of file statistics.hpp.

Referenced by sub_from_ea_treated(), sub_from_fsa_treated(), sub_from_hard_links(), and sub_from_treated().

## ◆ tooold

infinint libdar::statistics::tooold
| private

ignored files because less recent than the filesystem entry [restoration] / modfied during backup

Definition at line 284 of file statistics.hpp.

Referenced by decr_tooold(), get_tooold(), and incr_tooold().

## ◆ treated

infinint libdar::statistics::treated
| private

number of inode treated (saved, restored, etc.) [all operations]

Definition at line 274 of file statistics.hpp.

Referenced by decr_treated(), get_treated(), incr_treated(), and sub_from_treated().

The documentation for this class was generated from the following file:

- statistics.hpp